Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_TSS_Cleanup Class Reference

Collaboration diagram for ACE_TSS_Cleanup:

[legend]
List of all members.

## Public Methods
| ~ACE_TSS_Cleanup (void)
void | exit (void *status)
int | insert (ACE_thread_key_t key, void (*destructor)(void *), void *inst)
int | remove (ACE_thread_key_t key)
int | detach (void *inst)
void | key_used (ACE_thread_key_t key)
int | free_all_keys_left (void)
## Static Public Methods
ACE_TSS_Cleanup* | instance (void)
int | lockable ()
## Protected Methods
void | dump (void)
| ACE_TSS_Cleanup (void)
## Private Types
typedef ACE_TSS_Info | ACE_TSS_TABLE [ACE_DEFAULT_THREAD_KEYS]
typedef ACE_TSS_Info* | ACE_TSS_TABLE_ITERATOR
## Private Methods
ACE_TSS_Keys* | tss_keys ()
## Private Attributes
ACE_TSS_TABLE | table_
ACE_thread_key_t | in_use_
## Static Private Attributes
ACE_TSS_Cleanup* | instance_ = 0

## Member Typedef Documentation

typedef ACE_TSS_Info ACE_TSS_Cleanup::ACE_TSS_TABLE[ACE_DEFAULT_THREAD_KEYS]`[private]`

typedef ACE_TSS_Info* ACE_TSS_Cleanup::ACE_TSS_TABLE_ITERATOR`[private]`

## Constructor & Destructor Documentation

ACE_TSS_Cleanup::~ACE_TSS_Cleanup ( | void )

ACE_TSS_Cleanup::ACE_TSS_Cleanup ( | void )`[protected]`

## Member Function Documentation

int ACE_TSS_Cleanup::detach ( | void * inst )

void ACE_TSS_Cleanup::dump ( | void )`[protected]`

void ACE_TSS_Cleanup::exit ( | void * status )

int ACE_TSS_Cleanup::free_all_keys_left ( | void )

int ACE_TSS_Cleanup::insert ( | ACE_thread_key_t key,
| void(* destructor)(void *),
| void * inst )

ACE_TSS_Cleanup * ACE_TSS_Cleanup::instance ( | void )`[static]`

void ACE_TSS_Cleanup::key_used ( | ACE_thread_key_t key )

int ACE_TSS_Cleanup::lockable ( | )`[inline, static]`

int ACE_TSS_Cleanup::remove ( | ACE_thread_key_t key )

ACE_TSS_Keys * ACE_TSS_Cleanup::tss_keys ( | )`[private]`

## Member Data Documentation

ACE_thread_key_t ACE_TSS_Cleanup::in_use_`[private]`

ACE_TSS_Cleanup * ACE_TSS_Cleanup::instance_ = 0`[static, private]`

ACE_TSS_TABLE ACE_TSS_Cleanup::table_`[private]`

The documentation for this class was generated from the following file:

- OS.cpp